#!/bin/sh

set -ex

cleanup_after_install () {
    find /usr/local -depth -type d -a  -name test -o -name tests -o  -type f -a -name '*.pyc' -o -name '*.pyo' -exec rm -rf '{}' +
    rm -rf /usr/src/python
}


get_install () {
    PY_VERSION=$1
    cd /tmp
    wget https://www.python.org/ftp/python/$PY_VERSION/Python-$PY_VERSION.tgz
    tar xzf Python-$PY_VERSION.tgz
    cd /tmp/Python-$PY_VERSION
    ./configure && make && make altinstall
    cd /tmp
    rm Python-$PY_VERSION.tgz && rm -r Python-$PY_VERSION
}


# First, get and install latest Python from the latest git install.
cd  /tmp/
wget https://github.com/python/cpython/archive/master.zip
unzip master.zip
cd /tmp/cpython-master
./configure && make && make altinstall
# Remove the git clone.
rm -r /tmp/cpython-master && rm /tmp/master.zip

# Install Python 3.6, 3.7, 3.8
get_install $PYTHON_36_VER
get_install $PYTHON_37_VER
get_install $PYTHON_38_VER

# After we have installed all the things, we cleanup tests and unused files
# like .pyc and .pyo
cleanup_after_install
